Name:          libtatsu
Version:       1.0.4
Release:       1mamba
Summary:       Library handling the communication with Apple's Tatsu Signing Server (TSS)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/libimobiledevice/libtatsu
Source:        https://github.com/libimobiledevice/libtatsu.git/%{version}/libtatsu-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libplist-devel
## AUTOBUILDREQ-END

%description
Library handling the communication with Apple's Tatsu Signing Server (TSS).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
   PACKAGE_VERSION=%{version}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libtatsu.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libtatsu
%{_includedir}/libtatsu/*.h
%{_libdir}/libtatsu.a
%{_libdir}/libtatsu.so
%{_libdir}/pkgconfig/libtatsu-1.0.pc
%doc NEWS README.md

%changelog
* Sat Jan 04 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created using the webbuild interface
